View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001725aMuleMiscpublic2014-09-07 00:452016-04-05 04:38
Reportermorph 
Assigned To 
PriorityurgentSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSDebianOS Versionsid
Product Version2.3.1 
Target VersionFixed in Version2.3.2 
Summary0001725: Last Git commit crashes
Descriptionlast git commit, as in 1a369e473077836b4594930fc706d404aff4dee0 , crashes with the following gdb session:

>>>
(gdb) run
Starting program: /usr/bin/amule
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
 2014-09-04 08:59:45: Initialising aMule SVN compiled with wxGTK2 v3.0.1 (Snapshot: rev. 10835)
 2014-09-04 08:59:45: Checking if there is an instance already running...
 2014-09-04 08:59:45: No other instances are running.
08:59:45 AM: Debug: Failed to connect to session manager: SESSION_MANAGER environment variable not defined
 2014-09-04 08:59:45: ListenSocket: Ok.
[New Thread 0x7fffe9da9700 (LWP 4120)]
[New Thread 0x7fffe95a8700 (LWP 4121)]
 2014-09-04 08:59:45: Loading temp files from /home/n/.aMule/Temp.
 2014-09-04 08:59:45: All PartFiles Loaded.
[New Thread 0x7fffe8da6700 (LWP 4122)]
[Thread 0x7fffe95a8700 (LWP 4121) exited]

(amule:4080): GLib-CRITICAL **: Source ID 3507 was not found when attempting to remove it

(amule:4080): GLib-CRITICAL **: Source ID 3647 was not found when attempting to remove it
[Thread 0x7fffe9da9700 (LWP 4120) exited]

Program received signal SIGTERM, Terminated.
0x00007ffff7bcde9d in recvmsg () from /lib/x86_64-linux-gnu/libpthread.so.0
(gdb)

(gdb) bt
#0 0x00007ffff7bcde9d in recvmsg () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007fffef6c3077 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
0000002 0x00007fffef6c3858 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
0000003 0x00007ffff349a9c8 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
0000004 0x00007ffff349ab2b in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
0000005 0x00007ffff349ae3d in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
0000006 0x00007ffff348c777 in XPending () from /usr/lib/x86_64-linux-gnu/libX11.so.6
0000007 0x00007ffff41bd40e in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
0000008 0x00007ffff37e46dd in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000009 0x00007ffff37e507b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000010 0x00007ffff37e54e2 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ffff4545bc7 in gtk_main () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000012 0x00007ffff620b825 in wxGUIEventLoop::DoRun() () from /usr/lib/x86_64-linux-gnu/libwx_gtk2u_core-3.0.so.0
0000013 0x00007ffff5911ce0 in wxEventLoopBase::Run() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000014 0x00007ffff58ce556 in wxAppConsoleBase::MainLoop() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000015 0x00007ffff59692ed in wxEntry(int&, wchar_t**) () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000016 0x00000000004420c2 in main (argc=1, argv=<optimized out>) at ../../src/amule-gui.cpp:93
(gdb)

(gdb) bt full
#0 0x00007ffff7bcde9d in recvmsg () from /lib/x86_64-linux-gnu/libpthread.so.0
No symbol table info available.
0000001 0x00007fffef6c3077 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
No symbol table info available.
0000002 0x00007fffef6c3858 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
No symbol table info available.
0000003 0x00007ffff349a9c8 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
0000004 0x00007ffff349ab2b in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
0000005 0x00007ffff349ae3d in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
0000006 0x00007ffff348c777 in XPending () from /usr/lib/x86_64-linux-gnu/libX11.so.6
No symbol table info available.
0000007 0x00007ffff41bd40e in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
No symbol table info available.
0000008 0x00007ffff37e46dd in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
0000009 0x00007ffff37e507b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
0000010 0x00007ffff37e54e2 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
No symbol table info available.
#11 0x00007ffff4545bc7 in gtk_main () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
No symbol table info available.
0000012 0x00007ffff620b825 in wxGUIEventLoop::DoRun() () from /usr/lib/x86_64-linux-gnu/libwx_gtk2u_core-3.0.so.0
No symbol table info available.
0000013 0x00007ffff5911ce0 in wxEventLoopBase::Run() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
No symbol table info available.
0000014 0x00007ffff58ce556 in wxAppConsoleBase::MainLoop() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
No symbol table info available.
0000015 0x00007ffff59692ed in wxEntry(int&, wchar_t**) () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
No symbol table info available.
0000016 0x00000000004420c2 in main (argc=1, argv=<optimized out>) at ../../src/amule-gui.cpp:93
No locals.
(gdb)

(gdb) thread apply all bt

Thread 4 (Thread 0x7fffe8da6700 (LWP 4122)):
#0 0x00007ffff7bcb438 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007ffff5a3adad in ?? () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000002 0x00007ffff5a3b4ba in ?? () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000003 0x000000000063e238 in CTimerThread::Entry (this=0xba7e70) at ../../src/Timer.cpp:66
0000004 0x00007ffff5a3e7b2 in wxThread::CallEntry() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000005 0x00007ffff5a3f0b4 in ?? () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000006 0x00007ffff7bc70a4 in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
0000007 0x00007ffff4b44c2d in clone () from /lib/x86_64-linux-gnu/libc.so.6

Thread 1 (Thread 0x7ffff7e97a40 (LWP 4080)):
#0 0x00007ffff7bcde9d in recvmsg () from /lib/x86_64-linux-gnu/libpthread.so.0
0000001 0x00007fffef6c3077 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
0000002 0x00007fffef6c3858 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
0000003 0x00007ffff349a9c8 in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
0000004 0x00007ffff349ab2b in ?? () from /usr/lib/x86_64-linux-gnu/libX11.so.6
0000005 0x00007ffff349ae3d in _XEventsQueued () from /usr/lib/x86_64-linux-gnu/libX11.so.6
0000006 0x00007ffff348c777 in XPending () from /usr/lib/x86_64-linux-gnu/libX11.so.6
0000007 0x00007ffff41bd40e in ?? () from /usr/lib/x86_64-linux-gnu/libgdk-x11-2.0.so.0
0000008 0x00007ffff37e46dd in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000009 0x00007ffff37e507b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
0000010 0x00007ffff37e54e2 in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007ffff4545bc7 in gtk_main () from /usr/lib/x86_64-linux-gnu/libgtk-x11-2.0.so.0
0000012 0x00007ffff620b825 in wxGUIEventLoop::DoRun() () from /usr/lib/x86_64-linux-gnu/libwx_gtk2u_core-3.0.so.0
0000013 0x00007ffff5911ce0 in wxEventLoopBase::Run() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000014 0x00007ffff58ce556 in wxAppConsoleBase::MainLoop() () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000015 0x00007ffff59692ed in wxEntry(int&, wchar_t**) () from /usr/lib/x86_64-linux-gnu/libwx_baseu-3.0.so.0
0000016 0x00000000004420c2 in main (argc=1, argv=<optimized out>) at ../../src/amule-gui.cpp:93
(gdb)
<<<

Additional warning which might be helpful:

>>>
(amule:2815): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 16
(amule:2815): Gtk-WARNING **: gtk_widget_size_allocate(): attempt to allocate widget with width -5 and height 16
(amule:2815): GLib-CRITICAL **: Source ID 1861 was not found when attempting to remove it
(amule:2815): GLib-CRITICAL **: Source ID 9825 was not found when attempting to remove it
<<<
Additional Informationthe reason we are using a snapshot in debian is to get a version working with WX 3.0, which was not that easily extractable from the git log
TagsNo tags attached.
Fixed in Revision
Operating SystemDebian sid
Attached Files

- Relationships

-  Notes
(0003633)
GonoszTopi (administrator)
2014-09-08 15:11

Well, yet no efforts have been made to make aMule wx-3.0 compatible.
(0003634)
morph (reporter)
2014-09-08 23:38

at least it builds fine with wx-3.0 and it runs for "a bit", the commits on the git history seems to suggest there was some effort to port aMule towards 3.0 - any chance to resurrect that?
(0003641)
nsaspy (reporter)
2014-09-15 12:12

i originally posted this bug on debian.

i used debian amule version 2.3.1+git1a369e47-1 and i also tested compiled version amule-1a369e473077836b4594930fc706d404aff4dee0 with wxWidgets-3.0.1
same crash happens.
it should be noted that this crash causes 100% cpu and memory hog allocating more and more memory before process is killed.
crash is not immediate. it seems that some kind of user interaction is required like moving mouse over tiles.

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=760434 [^]

there might be a possibility that bug is in wxwidgets 3.0
http://trac.wxwidgets.org/ticket/16325 [^]
(0003675)
GonoszTopi (administrator)
2016-03-12 08:37

I'm curious, does the error still happen with wx-3.0.2 or it got mysteriously fixed?
(0003676)
morph (reporter)
2016-03-12 12:01

I think this has been fixed (or automagically fixed) with 3.0.2 (and the git version of the code we aer using in debian, which is up to commit 0023527bc2)
(0003680)
nsaspy (reporter)
2016-03-31 13:26

i put somewhat long story here ... it might be helpful

i tried to compile amule 2.3.1 on debian unstable (updated on 2016-03-25) without success. first it failed on upnp (different upnp version on unstable than wikipage recommends). then i tried option --disable-upnp it still failed. (i can't give errors at the moment, maybe in the future)

then i downloaded amule-4053dd2.tar.gz and it compiled succesfully and it didn't have that jam and crash bug anymore.

using compiled wxwidgets-3.0.2
(0003682)
GonoszTopi (administrator)
2016-04-05 04:38

Thanks for the replies.

- Issue History
Date Modified Username Field Change
2014-09-07 00:45 morph New Issue
2014-09-08 15:11 GonoszTopi Note Added: 0003633
2014-09-08 23:38 morph Note Added: 0003634
2014-09-15 12:12 nsaspy Note Added: 0003641
2016-03-12 08:37 GonoszTopi Note Added: 0003675
2016-03-12 08:37 GonoszTopi Status new => feedback
2016-03-12 12:01 morph Note Added: 0003676
2016-03-12 12:01 morph Status feedback => new
2016-03-31 13:26 nsaspy Note Added: 0003680
2016-04-05 04:38 GonoszTopi Note Added: 0003682
2016-04-05 04:38 GonoszTopi Status new => resolved
2016-04-05 04:38 GonoszTopi Resolution open => fixed
2016-04-05 04:38 GonoszTopi Fixed in Version => 2.3.2


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker